starplot (0.95.5-8.4) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:19:51 +0800

starplot (0.95.5-8.3) unstable; urgency=high

  * Non-maintainer upload.
  * Add patch from Bernhard Übelacker to fix startup crash.
    (Closes: #862065)
  * Add patch from Juhani Numminen to fix FTBFS with glibc 2.26.
    (Closes: #887769)
  * Remove Kevin B. McCarty from Uploaders. (Closes: #869333)

 -- Adrian Bunk <bunk@debian.org>  Thu, 08 Feb 2018 17:11:01 +0200

starplot (0.95.5-8.2) unstable; urgency=low

  * Non-maintainer upload to fix RC bug.

  [ Andrea Claudi ]
  * Fix FTBFS in convert.cc for gcc-6 (Closes: #811655).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 24 Dec 2016 22:59:59 +0100

starplot (0.95.5-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Add Build-Depends on dh-autoreconf to fix FTBFS.
    (Closes: #743122)

 -- Andrea Claudi <a.claudi@univpm.it>  Wed, 21 May 2014 00:19:13 +0200

starplot (0.95.5-8) unstable; urgency=medium

  * Update Maintainer's address 
  * Modify to update config.{guess,sub} during the build using autotools-dev:
     - debian/control: Add Build-Depends on autotools-dev
     - debian/rules: Add call to dh_autoreconf when configuring and to 
     dh_autoreconf_clean when cleaning

      This fixes the FTBFS for the adm64 architecture (Closes: #727976)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 03 Mar 2014 23:23:37 +0100

starplot (0.95.5-7) unstable; urgency=low

  * Fixed FTBFS problem. Changed build target in debian/rules, tested
    in experimental repository (Closes: #679316).

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Mon, 02 Jul 2012 13:47:34 +0200

starplot (0.95.5-6) experimental; urgency=low

  * Changed build target in debian/rules to fix a FTBFS problem.

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Sat, 30 Jun 2012 12:29:54 +0200

starplot (0.95.5-5) unstable; urgency=low

  * Updated to Debian Policy 3.9.3
  * Updated debhelper dependency to version 9
  * Added build-arch and build-indep debian/rules targets
  * Added source/format, 3.0 (quilt) file. Thanks to Jari Aalto
    (Closes: #670729).
  * Removed the unneeded dependency on dpatch.
  * Updated debian/patches to quilt.


 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Mon, 25 Jun 2012 11:25:50 +0200

starplot (0.95.5-4) unstable; urgency=low

  * Updated to Debian policy 3.8.3
  * Fixed the problem with FTBFS thanks for the patch to Kamal Mostafa
    <kamal@whence.com> (Closes: #560544).
  * Added debian/README.source file explaining how dpatch works, according to 
    Debian Policy.
  * Added ${misc:Depends} depends to bynary package, required by debhelper.

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Thu, 07 Jan 2010 22:24:30 +0100

starplot (0.95.5-3) unstable; urgency=low

  * Updated Debian policy to 8.3.2
  * Updated Maintainer control field to @debian.org.
  * Updated debian/rules file:
      - Changed dh_clean -k to dh_prep.
      - Removed deprecated dh_desktop call.
      - Updated debhelper dependency version from 5 to 7.
      - Updated debhelper compatibility to 7.

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Sun, 26 Jul 2009 19:41:36 +0200

starplot (0.95.5-2) unstable; urgency=low

  * Updated Standard-version control field to 3.8.0.1
  * Added a dpatch to update the starplot.desktop file provided by Kevin B.
    McCarty <kmccarty@gmail.com> with the non-localized comment field. 
    Thanks to "Nathan Handler" <nhandler@ubuntu.com>. (Closes: #491448).
  * The new upstream manual is enough complete and documented.
    (Closes: #344622).
  * Removed the debian/starplot32x32.xpm file, It was added to the
    upstream version. Clean up debian/rules to remove installing icon
    command.

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Mon, 01 Dec 2008 13:33:22 +0100

starplot (0.95.5-1) unstable; urgency=low

  * New upstream release.
  * Added debian/watch file.
  * Modified debian/rules to configure and install properly html docs and 
    examples directory.

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Sat, 17 May 2008 11:52:11 +0200

starplot (0.95.4-5) unstable; urgency=low

  * Edited starplot data file generation script "starplot.sh" to do nothing
    if a pre-existing data file in starplot format is already newer than the
    times of installation of the starplot package and relevant data package.
  * Otherwise cleaned up starplot.sh a bit.
  * Adjusted CFLAGS definition in debian/rules to prevent FTBFS and ensured
    that g++ used them (by setting CXXFLAGS to the same string).
  * Removed extraneous ';' following namespace and extern "C" blocks in
    lib/compat.h, src/classes/mathdefs.h, src/classes/strings.h,
    src/gui/starplot.h, src/gui/hrdiagram.cc, src/gui/infodialogs.cc
    and src/gui/starplot.cc.  Needed to prevent FTBFS with -pedantic flag.
  * Updated doc-base section to new policy: Apps/Science -> Science/Astronomy.
  * Changed substitution tables in gliese and yale spec files to be
    case-sensitive in order to enhance starconvert speed.

 -- Kevin B. McCarty <kmccarty@debian.org>  Fri, 11 Apr 2008 14:08:17 -0700

starplot (0.95.4-4) unstable; urgency=low

  * Added "#include <cstdlib>" in src/classes/strings.cc, and omitted the
    std:: prefix from vsprintf(), vsnprintf(), in hopes of fixing the FTBFS
    on arm, mips, mipsel.

 -- Kevin B. McCarty <kmccarty@debian.org>  Thu, 28 Feb 2008 15:14:22 -0800

starplot (0.95.4-3) unstable; urgency=low

  * Updated to debian policy 3.7.3.
  * Added debian/menu icon field with starplot32x32.xpm file.
  * Added starplot.desktop file, thanks to Marco Rodrigues <gothicx@sapo.pt>
    (Closes: #457836)
  * Cleaned debian/rules file.
  * Added Homepage control field.

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Wed, 23 Jan 2008 00:07:56 +0100

starplot (0.95.4-2) unstable; urgency=low

  * Patched source code to fix compile error with GCC 4.3.
    (Closes: #454869)
  * Modified debian/rules clean process to caught error messages from 
    the clean or distclean rules.
  * Changed debian/menu Section field to Applications/Science/Astronomy
    according to the Debian menu sub-policy.

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Sat, 15 Dec 2007 18:33:58 +0100

starplot (0.95.4-1) unstable; urgency=low

  * New upstream release
  * Updated to debian policy 3.7.2.2
  * Created debian/compat file and removed DH_COMPAT field from
    debian/rules.

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Thu, 03 May 2007 00:07:53 +0200

starplot (0.95.3-2) unstable; urgency=low

  * Fixed an error with POSIX sh string equality "=" in 
    /usr/lib/stardata-common/starplot file. (Closes: #342331)

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Wed,  7 Dec 2005 14:10:24 +0100

starplot (0.95.3-1) unstable; urgency=low

  [ Francisco Garcia ]
  * New upstream release
  * Fixed the compilation failure on 64-bit architectures. 
    Thanks to Andreas Jochens <aj@andaco.de> (Closes: #298418)
  * Removed the hack to generate es.gmo in debian/rules file.

  [ Kevin McCarty ]
  * Update to debhelper version 5.
  * Add postrm removing /var/lib/starplot directory.
  * Update gliese.spec and yale.spec files to most recent versions.
  * Add NEWS file about the new stardata-common package.

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Thu, 22 Sep 2005 22:01:12 +0200

starplot (0.95.2-3) unstable; urgency=low

  * Added a script in usr/lib/stardata-common called starplot to install
    and remove starplot own data format catalogues, conform to the 
    stardata-common policy.
  * Modified postinst and prerm scripts, now both of these just call to
    register-stardata program to register (install or remove) stardata
    catalogues in starplot data format.
  * Added Recommends relationship with stardata-common package.
  * Added provides control field with gliese-viewer and yale-viewer
    virtual packages, suggested by Kevin B. McCarty <kmccarty@Princeton.EDU>
  * Added gliese.spec and yale.spec files to /usr/share/starplot/specfiles to
    convert those catalogues to starplot data format. Suggested by 
    Kevin B. McCarty <kmccarty@Princeton.EDU>.
  * Updated to Debian Policy 3.6.2.1

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Mon, 30 May 2005 18:21:55 +0200

starplot (0.95.2-2) unstable; urgency=low

  * Couldn't resist and reviewed the spanish translation...

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 20 Mar 2005 01:21:24 +0100

starplot (0.95.2-1) unstable; urgency=low
  
  * New upstream release
  * debian/rules now configure properly '--with-webbrowser' parameter.
  * Removed the article "A" in short description, in Description field
    of debian/control, recommended by Developers Reference.

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Mon, 24 Jan 2005 21:44:20 +0100

starplot (0.95-3) unstable; urgency=low

  * Small postinst change to properly remove symlinks (now for real)
  * Also remove es.gmo on 'clean' to avoid FTFBS the second time around

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed,  8 Sep 2004 09:07:50 +0200

starplot (0.95-2) unstable; urgency=low

  * Postinst will now remove the file that is used as symlink regardless
     of it's a regular file or not (to avoid breaking on upgrades)
  * Introduce a small hack in debian/rules to generate es.gmo so that 
    the Spanish translation is installed properly. It should be removed
    when 0.96 is uploaded (this was a consequence of modifying the 
    es_ES definitions in the previous upload). That should teach me _not_
    to play with po files without asking upstream first.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon,  6 Sep 2004 23:46:45 +0200

starplot (0.95-1) unstable; urgency=low

  * New upstream release
  * New maintainer, I'm setting myself as co-maintainer (Closes: #216876)
    Kevin B. McCarty <kmccarty_AT_Princeton.EDU> will probably co-maintain
    this package in the future too.
  * Fixed Francisco's README.Debian for clarity
  * Generated stardata files are removed in a safer way when uninstalled this
    includes removing files under /usr/share/starplot (for the case when
    using old gliese or yale package)
  * Create symlinks to generated data files in /usr/share/starplot so the
    user does not have to navigate through the whole root tree to see
    the generated stardata files. Remove those symlinks on removal.
  * Remove config.status after distcleaning in debian/rules or the clean
    process will not work properly.
  * Quick revision of the spanish translation (needs to be revised further
    and merged upstream). Also, use this translation as the generic 
    spanish one instead of limiting it to es_ES and es_ES@euro users.
  [ changes by Francisco Garcia <franciscomanuel.garcia@hispalinux.es> ]
  * Switched dh_installmanpages by dh_installman in rules file
  * Changed the starplot data sets location, from /usr/share/starplot
    to /var/lib/starplot
  * Updated to Debian Policy 3.6.1
  * Fixed the lintian warnings in menu file
  * Upgraded the version of debhelper to 3.0.0 in Build-Depends 
    source control field
  * Added rm config.status to clean rule in rules file

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  3 Sep 2004 22:53:15 +0200

starplot (0.94.1-2) unstable; urgency=low

  * New upstream version included into Debian (Closes: #199420)
  * Incorporated upstream's changes to the Debian package including
    the section change from Apps/Graphics to Apps/Science
  * Modified doc/Makefile.in to properly install to DESTDIR in 
    the install-data-local target

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 24 Aug 2003 01:24:13 +0200

starplot (0.94.1-1) unstable; urgency=low
 
  * New upstream release: only change is fix for Mac OS X.
 
 -- Kevin B. McCarty <kmccarty@princeton.edu>  Mon, 30 Jun 2003 16:32:58 -0400
 
starplot (0.94-1) unstable; urgency=low
 
  * New upstream release
  * Update Policy to 3.5.10
 
 -- Kevin B. McCarty <kmccarty@princeton.edu>  Wed, 25 Jun 2003 19:48:38 -0400

starplot (0.93-3) unstable; urgency=low

  * Modified starkpg to not look for orig-data directories since the
    information of star catalogues is placed in /usr/share/stardata/
    with a subdirectory per catalogue and _no_ orig-data subdirectory.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 29 May 2003 13:18:51 +0200

starplot (0.93-2) unstable; urgency=low

  * Adopted by Debian maintainer, submitted to Debian including
    some of the changes required by policy (for example, do not
    mess with /usr/local on postinst) (Closes: #169603)
  * Added /usr/share/starplot as the standard directory for starpkg

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 28 May 2003 21:26:52 +0200

starplot (0.93-1) unstable; urgency=low

  * New upstream release
  * No longer is required by .deb packages of data files, but they will
    be regenerated by postinst scripts any time starplot or the data file
    package is upgraded.
  * Add support for DEB_BUILD_OPTIONS

 -- Kevin McCarty <kmccarty@arcturus.lngs.infn.it>  Sat,  9 Nov 2002 13:04:49 +0100


starplot (0.92.3-3) unstable; urgency=low

  * Fixed typo (Closes: #125383)
  * Fixed control fields (now suggests gliese and yale)
  * Removed /usr/local/ twinkling in postinst/postrm

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 19 Dec 2001 18:33:28 +0100

starplot (0.92.3-2) unstable; urgency=low

  * Sent by Debian maintainer.
  * Moved to science section.
  * Added Debian changelog to upstream maintainer's
  * Maintainer new version fixes/rewords control file

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  7 Dec 2001 10:05:40 +0100

starplot (0.92.3-1) unstable; urgency=low

  * New upstream release

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Thu, 6 Dec 2001 10:08:25 -0500

starplot (0.92.2-1) unstable; urgency=low

  * New upstream release

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Sun, 23 Sep 2001 01:29:59 -0400
 
starplot (0.92pre-3) unstable; urgency=low

  * Fixed typo in description.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 26 Nov 2001 17:42:38 +0100

starplot (0.92pre-2) unstable; urgency=low

  * Adopted and uploaded to Debian.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 13 Mar 2001 01:25:21 +0100


starplot (0.92.2-1) unstable; urgency=low

  * New upstream release

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Sun, 23 Sep 2001 01:24:20 -0400

starplot (0.92-1) unstable; urgency=low

  * New upstream release

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Wed, 23 May 2001 23:00:00 -0400

starplot (0.91.2-1) unstable; urgency=low

  * New upstream release

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Wed, 31 Jan 2001 21:16:40 -0500

starplot (0.91.1-1) unstable; urgency=low

  * New upstream release

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Tue, 30 Jan 2001 20:45:36 -0500

starplot (0.91-1) unstable; urgency=low

  * New upstream release

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Sun, 28 Jan 2001 12:43:00 -0500

starplot (0.90-1) unstable; urgency=low

  * New upstream release

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Sun, 14 Jan 2001 20:03:20 -0500

starplot (0.86-1) unstable; urgency=low

  * New upstream release

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Thu, 11 Jan 2001 00:51:23 -0500

starplot (0.85.2-1) unstable; urgency=low

  * Initial Release.
  * My first Debian package - wheee!

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Tue,  9 Jan 2001 04:09:40 -0500
